// @APIVersion 1.0.0
// @Title oc-catalog
// @Description OpenCloud catalog
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License MIT
// @LicenseUrl https://opensource.org/license/mit
package routers

import (
	"oc-catalog/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc/",
		beego.NSNamespace("/resource",
			beego.NSInclude(
				&controllers.ResourceController{},
			),
		),
		beego.NSNamespace("/data",
			beego.NSInclude(
				&controllers.DataController{},
			),
		),
		beego.NSNamespace("/datacenter",
			beego.NSInclude(
				&controllers.DatacenterController{},
			),
		),
		beego.NSNamespace("/storage",
			beego.NSInclude(
				&controllers.StorageController{},
			),
		),
		beego.NSNamespace("/processing",
			beego.NSInclude(
				&controllers.ProcessingController{},
			),
		),
		beego.NSNamespace("/workflow",
			beego.NSInclude(
				&controllers.WorkflowController{},
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)
	beego.AddNamespace(ns)
}
